Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Payment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Payment

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class Payment extends AbstractBalanceBean implements Serializable, Cloneable
Платёж договора.

Для получения типа(PaymentType) использовать справочник типов, там содержится(покрайней мере пока) название и значение редактируемости.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Payment.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Payment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Payment.Builder`
  `builder()`
  `Payment`
  `clone()`
  `String`
  `getData()`
  `Integer`
  `getModuleId()`
  `String`
  `getTransactionId()`
  `Payment`
  `setData(String data)`
  `Payment`
  `setModuleId(Integer moduleId)`
  `Payment`
  `setTransactionId(String transactionId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

  `getComment, getContractId, getDate, getSum, getTimeChange, getTypeId, getUserId, setComment, setContractId, setDate, setSum, setTimeChange, setTypeId, setUserId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Payment

    public Payment()

- ## Method Details

  - ### getData

    public String getData()

  - ### setData

    public Payment setData(String data)

  - ### getModuleId

    public Integer getModuleId()

  - ### getTransactionId

    public String getTransactionId()

  - ### setModuleId

    public Payment setModuleId(Integer moduleId)

  - ### setTransactionId

    public Payment setTransactionId(String transactionId)

  - ### clone

    public Payment clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractBalanceBean`

  - ### builder

    public static Payment.Builder builder()